CWStyleManager::KSEN Struct Reference

the KSEN structure a structure related to paragraph and cell style More...

`#include <CWStyleManager.hxx>`

## Public Member Functions

| KSEN ()
| constructor More...

## Public Attributes

int | m_valign
| the vertical alignement More...
MWAWBorder::Style | m_lineType
| the line type More...
MWAWBorder::Type | m_lineRepeat
| the line repetition More...
int | m_lines
| an int used to add some oblique line ( or cross ) More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, KSEN const &ksen)
| operator<< More...

## Detailed Description

the KSEN structure a structure related to paragraph and cell style

## Constructor & Destructor Documentation

CWStyleManager::KSEN::KSEN | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | CWStyleManager::KSEN const & | ksen
| ) |  |

friend

operator<<

## Member Data Documentation

std::string CWStyleManager::KSEN::m_extra

extra data

Referenced by operator<<(), and CWStyleManager::readKSEN().

MWAWBorder::Type CWStyleManager::KSEN::m_lineRepeat

the line repetition

Referenced by operator<<(), CWStyleManager::readKSEN(), and CWTableInternal::TableCell::update().

int CWStyleManager::KSEN::m_lines

an int used to add some oblique line ( or cross )

Referenced by operator<<(), CWStyleManager::readKSEN(), and CWTable::readTableCells().

MWAWBorder::Style CWStyleManager::KSEN::m_lineType

the line type

Referenced by operator<<(), CWStyleManager::readKSEN(), and CWTableInternal::TableCell::update().

int CWStyleManager::KSEN::m_valign

the vertical alignement

Referenced by operator<<(), CWStyleManager::readKSEN(), and CWTable::readTableCells().

The documentation for this struct was generated from the following file:

- CWStyleManager.hxx